Bug 1019948 - Review Request: python-astroML - Python tools for machine learning and data mining in Astronomy
Review Request: python-astroML - Python tools for machine learning and data m...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1077268
  Show dependency treegraph
 
Reported: 2013-10-16 12:42 EDT by Christian Dersch
Modified: 2014-03-26 01:34 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-astroML-0.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-26 01:34:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
improved spec-file (2.03 KB, patch)
2014-03-17 08:39 EDT, Björn "besser82" Esser
no flags Details | Diff

  None (edit)
Description Christian Dersch 2013-10-16 12:42:56 EDT
Spec URL: http://lupinix.fedorapeople.org/packages/python-astroML/python-astroML.spec
SRPM URL: http://lupinix.fedorapeople.org/packages/python-astroML/python-astroML-0.1.2-1.fc19.src.rpm

Description:
AstroML is a Python module for machine learning and data mining built on numpy, scipy,
scikit-learn, and matplotlib, and distributed under the 3-clause BSD license. 
It contains a growing library of statistical and machine learning routines for 
analyzing astronomical data in python, loaders for several open astronomical datasets,
and a large suite of examples of analyzing and visualizing astronomical datasets.

Fedora Account System Username: lupinix

Thank you very much for reviewing.
Comment 1 Björn "besser82" Esser 2013-10-16 12:49:52 EDT
taken ;)
Comment 2 Björn "besser82" Esser 2013-10-16 14:12:32 EDT
NOTE:  Running this review on Fedora 20, because in rawhide are (still) broken dependencies from the ATLAS-update:

    Getting requirements for python-astroML-0.1.2-1.fc21.src
     --> python-devel-2.7.5-8.fc21.x86_64
     --> 1:numpy-1.8.0-0.5.b2.fc21.x86_64
     --> scipy-0.13.0-0.3.b1.fc21.x86_64
     --> python-scikit-learn-0.14.1-3.fc21.x86_64
     --> pyfits-3.1.2-2.fc20.x86_64
     --> python-matplotlib-1.3.0-1.fc20.x86_64
    Error: Package: python-scikit-learn-0.14.1-3.fc21.x86_64 (fedora)
               Requires: libatlas.so.3()(64bit)
    Error: Package: python-scikit-learn-0.14.1-3.fc21.x86_64 (fedora)
               Requires: libptf77blas.so.3()(64bit)
    Error: Package: python-scikit-learn-0.14.1-3.fc21.x86_64 (fedora)
               Requires: libptcblas.so.3()(64bit)
     You could try using --skip-broken to work around the problem
     You could try running: rpm -Va --nofiles --nodigest
    Child return code was: 1

#####

Package has some issues  :(

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

     ---> This is intentional on c-compiled python-plugins.

[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 306 files have unknown license. Detailed output
     of licensecheck in /home/besser82/shared/fedora/review/1019948-python-
     astroML/licensecheck.txt

     ---> License-tag is fine.

[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python2.7/site-packages/astroML,
     /usr/lib64/python2.7/site-packages/astroML_addons

     ---> You can solve this issue quite easily by changing this
          inside the spec-file:

           %files
           %doc CHANGES.rst LICENSE.rst README.rst
          -# For arch-specific packages: sitearch
          -%{python_sitelib}/astroML/*
          +%{python_sitelib}/astroML
           %{python_sitelib}/astroML-%{version}-py2.7.egg-info

           %files addons
          -%doc CHANGES.rst LICENSE.rst README.rst
          -# For arch-specific packages: sitearch
          -%{python_sitearch}/astroML_addons/*
          +%{python_sitearch}/astroML_addons
           %{python_sitearch}/astroML_addons-%{version}-py2.7.egg-info

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python2.7/site-
     packages/astroML, /usr/lib64/python2.7/site-packages/astroML_addons

     ---> as said above

[x]: %build honors applicable compiler flags or justifies otherwise.

     ---> You can remove `CFLAGS="$RPM_OPT_FLAGS"` safely, because this
          gets pick-up by python-setuptools automatically.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 6 files.

     ---> having `%doc CHANGES.rst LICENSE.rst README.rst` in the main-pkg
          is enough.  there's no reason for duplicating this into the
          addon-subpkg.

     ---> there are acutally some nice examples and tutorials inside the
          tarball.  I'd recommend introducing a doc-subpackage and
          including them there as %doc.  In this case you are encouraged to
          include `%doc CHANGES.rst LICENSE.rst README.rst` into the doc-pkg
          as well.  The doc-package doesn't need any Requires, too.

[!]: Package complies to the Packaging Guidelines

     ---> issues are present

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.

     ---> You can remove that safely, because it is needed on <= el5, only.

[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python

     ---> You should add `BuildRequires: python-setuptools`

     ---> You are using deprecated macros:
          %{python_sitelib}  ---> %{python2_sitelib}
          %{python_sitearch} ---> %{python2_sitearch}

          Those %{python_siteX} are used for <= el6.

[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     astroML-addons

     ---> addon-pkg should have `Requires: %{name} = %{version}-%{release}`

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.

     ---> You should add `BuildRequires: python-nose` and
          add this after %install:

            %check
            nosetest

          This will run some basic unittests of astroML.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-astroML-0.1.2-1.fc20.x86_64.rpm
          python-astroML-addons-0.1.2-1.fc20.x86_64.rpm
          python-astroML-0.1.2-1.fc20.src.rpm
python-astroML.x86_64: E: explicit-lib-dependency python-matplotlib

---> This is intentional. False positive

python-astroML.x86_64: W: spelling-error %description -l en_US scikit -> sci kit, sci-kit, kitsch
python-astroML.x86_64: W: spelling-error %description -l en_US matplotlib -> diplomatic

---> false positives

python-astroML.x86_64: E: no-binary

---> Package should be `BuildArch: noarch`.
     ATTENTION:  This will need some tricky hack to work, because we have
     an arched subpkg in here, too.  I'll help you solving this on irc.  :)

python-astroML-addons.x86_64: W: spelling-error Summary(en_US) ons -> nos, ins, obs

---> false positive

python-astroML-addons.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/astroML_addons/periodogram.so 0775L

---> use `%{_fixperms} %{buildroot}` as last command in %install as fix.

python-astroML.src: W: spelling-error %description -l en_US scikit -> sci kit, sci-kit, kitsch
python-astroML.src: W: spelling-error %description -l en_US matplotlib -> diplomatic
python-astroML.src: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases

---> false positives

python-astroML.src:14: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 14)

---> use either one or the other, please.

3 packages and 0 specfiles checked; 3 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-astroML-addons python-astroML
python-astroML-addons.x86_64: W: spelling-error Summary(en_US) ons -> nos, ins, obs
python-astroML-addons.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/astroML_addons/periodogram.so 0775L
python-astroML.x86_64: E: explicit-lib-dependency python-matplotlib
python-astroML.x86_64: W: spelling-error %description -l en_US scikit -> sci kit, sci-kit, kitsch
python-astroML.x86_64: W: spelling-error %description -l en_US matplotlib -> diplomatic
python-astroML.x86_64: E: no-binary
2 packages and 0 specfiles checked; 3 errors, 3 warnings.
# echo 'rpmlint-done:'

---> as commented above


Requires
--------
python-astroML-addons (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    python(abi)
    python-astroML
    rtld(GNU_HASH)

python-astroML (rpmlib, GLIBC filtered):
    numpy
    pyfits
    python(abi)
    python-matplotlib
    python-scikit-learn
    scipy



Provides
--------
python-astroML-addons:
    python-astroML-addons
    python-astroML-addons(x86-64)

python-astroML:
    python-astroML
    python-astroML(x86-64)



Unversioned so-files
--------------------
python-astroML-addons: /usr/lib64/python2.7/site-packages/astroML_addons/periodogram.so

---> This is intetional on c-compiled python-plugins as they are loaded
     using `dlopen()`.  False positve

Source checksums
----------------
https://pypi.python.org/packages/source/a/astroML/astroML-0.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : 59ded1f5ea47ca012efb13226e80a471b86188b01a233afb489fe3dada03340a
  CHECKSUM(SHA256) upstream package : 59ded1f5ea47ca012efb13226e80a471b86188b01a233afb489fe3dada03340a


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-20-x86_64 -b 1019948
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Python, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

Some personal notes on the spec-file. No blockers or issues; just some of my thoughts:

  * You are defining `%global upname astroML`, but don't make use of
    that macro somewhere...

  * You are putting the (Build)Requires in one line.  Splitting
    them across several lines and ordering them by alphabet would
    improve readability and semantics.

  * Sentences in %description should end with a dot (.).
    Seen in %description addons.

  * I'd recommend to kill trailing whitespaces inside the spec using:
    `sed -i -e 's![ \t]*$!!g' ${spec-file}`

#####

Let's get those issues fixed and I'll take another run.  Don't forget to bump revision.  ;)
Comment 3 Christian Dersch 2013-10-17 13:59:43 EDT
Thank you very much, Björn! Created new spec and source rpm to fix the issues:

Spec URL: http://lupinix.fedorapeople.org/packages/python-astroML/v2/python-astroML.spec

SRPM URL: http://lupinix.fedorapeople.org/packages/python-astroML/v2/python-astroml-0.1.2-2.fc19.src.rpm

Greetings,
Christian
Comment 4 Christian Dersch 2014-02-24 09:19:29 EST
Created package with new version 0.2

Spec URL: http://lupinix.fedorapeople.org/packages/python-astroML/python-astroML.spec

SRPM URL: http://lupinix.fedorapeople.org/packages/python-astroML/python-astroML-0.2-1.fc20.src.rpm

The "addons"-Package is now a seperate package since upstream splitted the source into two projects.

Greetings,
Christian
Comment 5 Björn "besser82" Esser 2014-03-17 08:39:14 EDT
Created attachment 875488 [details]
improved spec-file

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 306 files have unknown license. Detailed output
     of licensecheck in /home/besser82/shared/fedora/review/1019948-python-
     astroML/licensecheck.txt

     ---> license-tag is fine. :)

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[!]: Spec file is legible and written in American English.

     ---> see comments below.

[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[!]: Package complies to the Packaging Guidelines

     ---> issues are present.

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.

     ---> please remove that, unless you want to build for el5...

[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep


===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     astroML-doc

     ---> false positive.  doc-pkg is fine to install without that deps.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.


===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-astroML-0.2-1.fc21.noarch.rpm
          python-astroML-doc-0.2-1.fc21.noarch.rpm
          python-astroML-0.2-1.fc21.src.rpm
python-astroML.noarch: E: explicit-lib-dependency python-matplotlib
python-astroML.noarch: W: spelling-error %description -l en_US scikit -> sci kit, sci-kit, kitsch
python-astroML.noarch: W: spelling-error %description -l en_US matplotlib -> diplomatic
python-astroML.noarch: W: invalid-url URL: http://www.astroml.org/ <urlopen error timed out>
python-astroML.src: W: spelling-error %description -l en_US scikit -> sci kit, sci-kit, kitsch
python-astroML.src: W: spelling-error %description -l en_US matplotlib -> diplomatic
python-astroML.src: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
python-astroML.src: W: invalid-url URL: http://www.astroml.org/ <urlopen error timed out>
python-astroML.src: W: invalid-url Source0: https://pypi.python.org/packages/source/a/astroML/astroML-0.2.tar.gz <urlopen error timed out>
3 packages and 0 specfiles checked; 1 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-astroML-doc python-astroML
python-astroML-doc.noarch: W: invalid-url URL: http://www.astroml.org/ <urlopen error timed out>
python-astroML.noarch: E: explicit-lib-dependency python-matplotlib
python-astroML.noarch: W: spelling-error %description -l en_US scikit -> sci kit, sci-kit, kitsch
python-astroML.noarch: W: spelling-error %description -l en_US matplotlib -> diplomatic
2 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'

---> false positives, ignored.


Requires
--------
python-astroML-doc (rpmlib, GLIBC filtered):

python-astroML (rpmlib, GLIBC filtered):
    numpy
    python(abi)
    python-astropy
    python-matplotlib
    python-scikit-learn
    scipy


Provides
--------
python-astroML-doc:
    python-astroML-doc

python-astroML:
    python-astroML


Source checksums
----------------
https://pypi.python.org/packages/source/a/astroML/astroML-0.2.tar.gz :
  CHECKSUM(SHA256) this package     : d243b96b7d898f4cf0cb8b6ef6e37d08b6439e4a8461aaa8b20ee412112c2c09
  CHECKSUM(SHA256) upstream package : d243b96b7d898f4cf0cb8b6ef6e37d08b6439e4a8461aaa8b20ee412112c2c09


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1019948
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


===== Comments on spec-file =====

- %package -n python-astroML-doc
  ---> not needed: %package doc will inherit and prepend the
       value of %{name}.  Same goes for %files and %description.

- Provides:       %{name}-doc = %{version}-%{release}
  ---> not needed: this provides will be done by rpm-automagick.

- You can remove the comment about `CFLAGS` in %build.

- Name: python-astroML
  ---> I'd suggest to use `%global pypi_name astroML` on top of spec
       and replace `astroML` with that macro (%{pypi_name}).  That makes
       the spec-file more generic and usable for other pkgs, too.  ;)
       example: Name: python-%{pypi_name}

- You should use the %{python2_version}-macro for packaging of the
  generated egg.
  ---> %{python2_sitelib}/astroML-%{version}-*.egg-info
       %{python2_sitelib}/astroML-%{version}-py%{python2_version}.egg-info

- You can safely drop the BuildArch: noarch from the subpackages, since the
  main-pkg is noarch, all subpkgs are automatically noarch'ed, too.

- Make sure to kill all trailing white-space chars from the spec:
  ---> sed -i -e 's![ \t]*$!!g' $specfile

- To get all those changes quickly, you may use the attached patch.


===== Solution =====

NOT approved.  Please fixup the spec-file and I'll recheck asap.  Make sure to properly bump the revision.
Comment 6 Christian Dersch 2014-03-17 11:03:29 EDT
Thank you for reviewing :) Pushed fixed spec/srpm

Spec URL: http://lupinix.fedorapeople.org/packages/python-astroML/python-astroML.spec

SRPM URL: http://lupinix.fedorapeople.org/packages/python-astroML/python-astroML-0.2-2.fc20.src.rpm

Greetings,
Christian
Comment 7 Björn "besser82" Esser 2014-03-17 11:06:55 EDT
LGTM, now.  :D


===== Solution =====

Package APPROVED!!!

#####

You can go on with "SCM Admin Request", now.  If you need some assitance, you know how to get in touch with me.  :D
Comment 8 Christian Dersch 2014-03-17 11:26:13 EDT
Thanks for reviewing :)

#####

New Package SCM Request
=======================
Package Name: python-astroML
Short Description: Python tools for machine learning and data mining in Astronomy
Owners: lupinix
Branches: f20
InitialCC: ml-sig
Comment 9 Jon Ciesla 2014-03-17 12:11:13 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2014-03-17 13:32:44 EDT
python-astroML-0.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-astroML-0.2-2.fc20
Comment 11 Fedora Update System 2014-03-18 04:06:48 EDT
python-astroML-0.2-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 12 Fedora Update System 2014-03-26 01:34:16 EDT
python-astroML-0.2-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.